﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinGanttView;

namespace GanttView
{
    public partial class Form1 : Form
    {
        private Task Task1;
        public Form1()
        {
            InitializeComponent();
            ultraGanttView1.TimelineSettings.PrimaryInterval.Interval = 1;
            
            ultraGanttView1.GridSettings.ColumnSettings[TaskField.StartDateTime].Format = "dd/MMMM/yyyy";
            
            

            ultraGanttView1.PerformAutoSizeAllGridColumns();
            ultraCalendarInfo1.TaskWorkingHourMode = Infragistics.Win.UltraWinSchedule.TaskWorkingHourMode.AutoAdjust;

            Task1 = new Task();
            Task1.Name = "Test 1";
            Task1.StartDateTime = DateTime.Today.AddDays(-1);
            Task1.Duration = TimeSpan.FromDays(2);
            ultraCalendarInfo1.Tasks.Add(Task1);


            Task Task2 = new Task();
            Task2.Name = "Test 2";
            Task2.StartDateTime = DateTime.Today.AddDays(1);
            Task2.Duration = TimeSpan.FromDays(4);
            ultraCalendarInfo1.Tasks.Add(Task2);

            Task Task3 = new Task();
            Task3.Name = "Test 3";
            Task3.StartDateTime = DateTime.Today.AddDays(3);
            Task3.Duration = TimeSpan.FromDays(2);
            ultraCalendarInfo1.Tasks.Add(Task3);


            Task Task4 = new Task();
            Task4.Name = "Test 4";
            Task4.StartDateTime = DateTime.Today;
            Task4.Duration = TimeSpan.FromDays(1);
            ultraCalendarInfo1.Tasks.Add(Task4);


            ultraGanttView1.CalendarInfo = ultraCalendarInfo1;
            
        }

        private void ultraGanttView1_ActiveTaskChanged(object sender, Infragistics.Win.UltraWinGanttView.ActiveTaskChangedEventArgs e)
        {
            
            MyDraw1.ActiveTask = e.ActiveTask;
            ultraGanttView1.DrawFilter = new MyDraw1();
        }
    }
}
